<?php
// Prepare and execute the query to fetch incomplete reports
$stmt = $GLOBALS['con']->prepare("SELECT `repitem` FROM `reportitems_temp`");
$stmt->execute();
$ac = $stmt->get_result();
$icNum = $ac->num_rows; // Directly get the number of rows
$stmt->close();
?>

<script>
document.body.classList.add('dashboard');
<?php if (empty($_SESSION['contractorNumber']) && $icNum > 0): ?>
document.getElementById('navBox').innerHTML = `
    <li class="breadcrumb-item">
        <a href="index.php?t=includes/master&p=incomplete.php">
            <i class="fad fa-hourglass-half fa-spin"></i> <?= $icNum ?> Incomplete Reports
        </a>
    </li>`;
<?php endif; ?>
</script>
<div id="loadingObject">
    <div class="col-12 text-center text-light">
        <h1>
            <i class="fad fa-spinner fa-spin fa-3x fa-fw" style="--fa-primary-color: #0055A6; --fa-secondary-color: white;"></i><br>Syncing Data<br><small>Please wait</small>
        </h1>
    </div>
</div>
<section id="dash" class="mt-n5 mt-md-0" style="display: none">
    <div class="row mb-3">
        <div class="col-12 col-sm-3 col-md-9">

            <h2 class="text-light">Dashboard</h2>
        </div>
        <div class="col-12 col-sm-9 col-md-3">
            <div class="card">
                <div class="card-header">Load Client</div>
                <div class="card-body" style="max-height:200px">
                    <?php
                if (empty($_SESSION['contractorNumber'])) {
                    $surveyorFilterArray = [];
                    $clientAccess= array();
                    if ($_SESSION['usertype'] == "surveyor" && $_SESSION['access'] == 3) {
                        // Prepare and execute the query for surveyor assignments
                        $stmt = $GLOBALS['con']->prepare("SELECT DISTINCT `client_id` FROM `surveyor_assignments` WHERE `surveyor`=?");
                        $stmt->bind_param("s", $_SESSION['userid']); // Use parameterized queries for safety
                        $stmt->execute();
                        $result = $stmt->get_result();
                        while ($row = $result->fetch_assoc()) {
                            $surveyorFilterArray[] = $row['client_id'];
                        }
                        $stmt->close();
                    }

                    $accessQuery = "SELECT clientnumbers FROM admin_access WHERE admin_id = ?";
                    $stmt = $con->prepare($accessQuery);
                    $stmt->bind_param('i', $_SESSION['userid']);
                    $stmt->execute();
                    $accessResult = $stmt->get_result()->fetch_assoc();
                    $clientAccessArray = json_decode($accessResult['clientnumbers']);

                    foreach($clientAccessArray as $client){
                        $clientAccess[]=$client;

                    }

                    // Prepare and execute the query for client details
                    $stmt = $GLOBALS['con']->prepare("SELECT `clientnumber`, `clientname` FROM `clientdetails` WHERE `statuslive` = '1' ORDER BY `clientname` ASC");
                    $stmt->execute();
                    $clients = $stmt->get_result();
                    $stmt->close();
                ?>

                    <select class="form-control form-control-sm" id="loadClient" data-placeholder="Load Client" onchange="loadClient()" data-mdb-select-init data-mdb-filter="true">
                        <option value=""></option>
                        <?php while ($client = $clients->fetch_assoc()): ?>
                        <?php if (!in_array($client['clientnumber'], $surveyorFilterArray) && $_SESSION['access'] == 3) continue; 
                        elseif(!in_array($client['clientnumber'],$clientAccess) && $_SESSION['access']==1) continue ?>

                        <option value="<?= htmlspecialchars($client['clientnumber']) ?>"><?= htmlspecialchars($client['clientname']) ?></option>
                        <?php endwhile; ?>
                    </select>

                    <?php } else {
                    $stmt = $GLOBALS['con']->prepare("SELECT `clientnumber`, `clientname` FROM `clientdetails` WHERE `statuslive` = '1' AND `contractor` = ? ORDER BY `clientname` ASC");
                    $stmt->bind_param("s", $_SESSION['contractorNumber']);
                    $stmt->execute();
                    $clients = $stmt->get_result();
                    $stmt->close();
                ?>

                    <select class="form-control form-control-sm" id="loadClient" data-placeholder="Load Client" onchange="loadClient()" data-mdb-select-init data-mdb-filter="true">
                        <option value=""></option>
                        <?php while ($client = $clients->fetch_assoc()): ?>
                        <option value="<?= htmlspecialchars($client['clientnumber']) ?>"><?= htmlspecialchars($client['clientname']) ?></option>
                        <?php endwhile; ?>
                    </select>

                    <?php } ?>
                </div>
            </div>
        </div>
    </div>

    <?php 
     if ($_SESSION['usertype'] == "admins"){ require_once(ROOT_URL.'/includes/admin/admin_assignment.php');}
        if ($_SESSION['usertype'] == "surveyor" && $_SESSION['access'] == 3) {
            
            //require_once(ROOT_URL.'/includes/surveyor/jobsheet.php');
            require_once(ROOT_URL.'/includes/surveyor/admin_assignments.php');
        } else {
            $dest=ROOT_URL.'/includes/master/reportsNotSent.php?tenant='.TENANT_URL;
        ?>

    <div id="dynamic1" class="row"></div>
    <div id="dynamic2" class="row">
        <div class="col-md-6">
            <div class="card">
                <div class="card-header">Reports Not Sent <a class="float-end text-light" href="javascript:void(0)" onclick="loadModalContent('<?=$dest?>', 'popupBox', 'modal-xl', 1060, 'true','Reports not sent','close');">View all</a>
                </div>
                <div class="card-body" style="max-height:200px; overflow: auto">
                    <table id="datatable" class="table table-sm table-striped">
                        <?php
                    // Prepare and execute the query for reports not sent
                    $stmt = $GLOBALS['con']->prepare("
                        SELECT COUNT(a.repitem) AS count,
                               a.clientnumber,
                               b.clientname,
                               b.contractor
                        FROM reportitems a
                        JOIN clientdetails b ON a.clientnumber = b.clientnumber
                        WHERE a.delivery = '0'
                        GROUP BY a.clientnumber
                        ORDER BY b.clientname ASC
                    ");
                    $stmt->execute();
                    $items = $stmt->get_result();
                    $stmt->close();
                    while ($idata = $items->fetch_assoc()) {
                        if(!in_array($idata['clientnumber'],$clientAccess) && $_SESSION['access']==1) continue;
                    
                        if (empty($_SESSION['contractorNumber']) || $idata['contractor'] == $_SESSION['contractorNumber']) {
                            $clientName = htmlspecialchars(preg_replace("/[^a-zA-Z]/", " ", $idata['clientname']));
                            $clientNumber = htmlspecialchars($idata['clientnumber']);
                            echo "<tr id='R$clientNumber'>";
                            echo "<th>$clientName</th>";
                            echo "<td>{$idata['count']}</td>";
                            echo "<td><a href='index.php?t=includes/master/&p=reports_outstanding.php&clientnumber=$clientNumber' class='btn btn-secondary m-0 px-3 py-2 waves-effect float-end' data-mdb-tooltip-init data-mdb-placement='bottom' title='View Reports'><i class='fad fa-eye'></i></a></td>";
                            echo "</tr>";
                        }
                    }
                    ?>
                    </table>
                </div>
                <div class="card-footer border-0"></div>
            </div>
        </div>
    </div>
    <?php } ?>
</section>


<script>
// Use fetch API for AJAX requests
async function fetchData(url, data) {
    try {
        // Create form data
        const formData = new FormData();
        for (const key in data) {
            formData.append(key, data[key]);
        }

        // Fetch with form data
        const response = await fetch(url, {
            method: 'POST',
            body: formData
        });

        return await response.text();
    } catch (error) {
        console.error('Error fetching data:', error);
    }
}

function inspections_due() {
    fetchData(ROOT_URL + '/framework/dashboard_functions/inspections_due.php', {
        contractorNumber: '<?= $_SESSION['contractorNumber'] ?>',
        tenant: TENANT_URL
    }).then(data => document.getElementById('dynamic1').innerHTML += data);
}

function inspections_overdue() {
    fetchData(ROOT_URL + '/framework/dashboard_functions/inspections_overdue.php?mode=', {
        contractorNumber: '<?= $_SESSION['contractorNumber'] ?>',
        tenant: TENANT_URL
    }).then(data => document.getElementById('dynamic1').innerHTML += data);
}

function renewals_due() {
    fetchData(ROOT_URL + '/framework/dashboard_functions/renewals_due.php', {
        contractorNumber: '<?= $_SESSION['contractorNumber'] ?>',
        tenant: TENANT_URL
    }).then(data => document.getElementById('dynamic2').innerHTML += data);
}

<?php if (empty($_SESSION['contractorNumber'])): ?>

function reports() {
    fetchData(ROOT_URL + '/framework/dashboard_functions/reports.php', {
        contractorNumber: '<?= $_SESSION['contractorNumber'] ?>',
        tenant: TENANT_URL
    }).then(data => document.getElementById('dynamic2').innerHTML += data);
}
renewals_due();
<?php endif; ?>
inspections_due();
inspections_overdue();

function setRenew(c, n) {
    const content = `<p class="text-center lead">Do you wish to set the contract for <strong>${n}</strong> as renewed and send out the invoice?</p>`;
    const footer = `
        <div class="row">
            <div class="col-md-4">
                <a href="javascript:void(0)" class="btn btn-success m-0 px-3 py-2 waves-effect" onclick="renewContract('${c}', '${n}')">Confirm</a>
            </div>
            <div class="col-md-4"></div>
            <div class="col-md-4 text-right">
                <a href="javascript:void(0)" class="btn btn-danger m-0 px-3 py-2 waves-effect" onclick="closePop()">Cancel</a>
            </div>
        </div>`;
    showPop('Confirm Contract renewal', content, footer, 'd');
}

async function renewContract(c, n) {
    const result = await fetchData('includes/client/client_functions.php', {
        FUNCTION: 'setRenew',
        src: 'ext2',
        clientnumber: c,
        tenant: TENANT_URL
    });

    if (result.trim() == "1") {
        const clientData = await fetchData(ROOT_URL + '/includes/client/client_functions.php', {
            FUNCTION: 'getEmailData',
            src: 'ext2',
            clientnumber: c,
            tenant: TENANT_URL
        });

        const clientObj = JSON.parse(clientData);

        const invoiceData = await fetchData(ROOT_URL + '/includes/client/client_functions.php', {
            FUNCTION: 'getInvoiceData',
            src: 'ext2',
            clientnumber: c,
            tenant: TENANT_URL
        });

        const inv = invoiceData.trim();
        closePop();

        const emailResult = await fetchData(ROOT_URL + '/functions/sendmail.php', {
            src: 'ext',
            subject: 'Your Contract Renewal',
            recipient_1: clientObj[2],
            source_1: 'invoices',
            file_1: `${inv}_invoice.pdf`,
            message: `Your contract number <b>${clientObj[3]}</b> has been successfully renewed.<br>Thank you.`
        });

        if (emailResult.trim() == "success") {
            document.getElementById('datatable').querySelector(`#R${c}`).style.display = 'none';
            showResponse('success', `${n} Contract renewed successfully`);
        }
    }
}

setTimeout(() => {
    document.getElementById('loadingObject').style.display = 'none';
    document.getElementById('dash').style.display = 'block';
}, 2000);

function loadClient() {
    const client = document.getElementById('loadClient').value;
    window.location.href = `index.php?t=includes/master&p=client.php&clientnumber=${client}&view=asset`;
}
</script>