<?php
// Include tenant-specific config if it exists
if (file_exists('../../'.$_POST['tenant'].'/config.php')) {
    require_once('../../'.$_POST['tenant'].'/config.php');
} elseif (file_exists('/config.php')) {
    require_once('/config.php');
}

// Use PHPMailer to send the email (like in password_reset_request.php)
use PHPMailer\PHPMailer\PHPMailer;
use PHPMailer\PHPMailer\Exception;

require '../packages/mailer/Exception.php';
require '../packages/mailer/PHPMailer.php';
require '../packages/mailer/SMTP.php';

// Get POST data
$name = $_POST['name'] ?? '';
$email = $_POST['email'] ?? '';
$contact = $_POST['contact'] ?? '';
$businessSize = $_POST['size'] ?? '';
$software = $_POST['software'] ?? 'N/A';

// Validate data
if (empty($name) || empty($email) || empty($contact) || empty($businessSize)) {
    echo 'error';
    exit();
}

// Prepare the email message
$mail = new PHPMailer(true);

try {
    // Configure PHPMailer
    $mail->isSMTP();
    $mail->Host = getEmailSystemSettings('host');
    $mail->SMTPAuth = true;
    $mail->Username = getEmailSystemSettings('username');
    $mail->Password = getEmailSystemSettings('password');
    $mail->SMTPSecure = 'spa';
    $mail->Port = 587;

    // Set email details
    $mail->setFrom(getEmailSystemSettings('from'), getEmailSystemSettings('from_name'));
    $mail->addAddress('your_demo_request_email@example.com', 'Demo Request'); // Change this to your email

    // Email subject and body
    $mail->isHTML(true);
    $mail->Subject = 'New Demo Request from ' . $name;
    $mail->Body    = "
        <p><strong>Name:</strong> $name</p>
        <p><strong>Email:</strong> $email</p>
        <p><strong>Contact:</strong> $contact</p>
        <p><strong>Business Size:</strong> $businessSize</p>
        <p><strong>Existing Reporting Software:</strong> $software</p>
    ";

    $mail->send();
    echo 'success';
} catch (Exception $e) {
    echo 'error';
}
?>