<?php
if(file_exists('../../'.$_REQUEST['tenant'].'/config.php')) {
    require_once('../../'.$_REQUEST['tenant'].'/config.php');
}

// Get the logged-in user's role and ID
$userType = $_SESSION['usertype'];  // 'admin' or 'surveyor'
$userId = $_SESSION['userid'];

// If admin, query for all messages (recipient_id = 0)
if($_SESSION['usertype'] === "admins") {
    $userId = 0;  // Set recipient_id for admins to 0
}

// SQL query to get messages and retrieve sender info for surveyor or admin
$sql = "
    SELECT m.id, m.message, m.is_read, m.status, m.assignment_id, m.sender_type, m.sent_at,
           CASE
               WHEN m.sender_type = 'admin' THEN 'Admin Team'  -- Ensure Admin Team is always shown for admin messages
               WHEN m.sender_type = 'surveyor' THEN (
                    SELECT CONCAT(s.forename, ' ', s.surname, ' - ', cd.clientname)
                    FROM admin_assignments aa
                    JOIN surveyor s ON aa.surveyor_id = s.id
                    JOIN clientdetails cd ON aa.client_id = cd.clientnumber
                    WHERE aa.id = m.assignment_id
                )
               ELSE 'Unknown Sender'
           END AS sender_name
    FROM messages m
    WHERE m.recipient_id = ? 
    ORDER BY m.sent_at DESC
";

// Prepare the SQL statement
$stmt = $con->prepare($sql);
$stmt->bind_param('i', $userId);
$stmt->execute();
$result = $stmt->get_result();

// Fetch messages
$messages = [];
while ($row = $result->fetch_assoc()) {
    $messages[] = $row;
}

// Return JSON response
echo json_encode([
    'unread_count' => count($messages),
    'messages' => $messages
]);

$stmt->close();
$con->close();