<style>
.login_wrapper {
    right: 0;
    margin: 0 auto;
    margin-top: 5%;
    max-width: 350px;
    position: relative;
}

.login_content h1 {
    font: normal 25px Helvetica, Arial, sans-serif;
    letter-spacing: -.05em;
    line-height: 20px;
    margin: 10px 0 30px;
}


.login_form {
    z-index: 22;
}

.registration_form,
.password_form,
.login_form {
    position: absolute;
    top: 0;
    width: 100%;
}

.login_content:not(.btn) {
    margin: 0 auto;
    padding: 25px 0 0;
    position: relative;
    text-align: center;
    min-width: 280px;
    color: #fff;
}

.login_content form {
    margin: 20px 0;
    position: relative;
}
</style>

<div class="login_wrapper">
    <div class="animate form login_form">
        <section class="login_content">

            <h1 style="line-height: 28px"><?= THENAME?></h1>
            <div class="mb-2"><input type="email" class="form-control" placeholder="Registered email address" id="inputEmail" required /></div>
            <div class="mb-2"><input type="password" class="form-control" placeholder="Password" id="inputPassword" required /></div>
            <div class="mb-2"><select class="form-control" id="inputType" required>
                    <option value="surveyor">Surveyor</option>
                    <option value="contractors">Contractor</option>
                    <option value="admins">Admin</option>
                </select></div>
            <div><button id="btn" class="btn btn-primary mb-4" type="button" onclick="submitForm()"><i class="fa fa-unlock"></i> Sign in</button>
                <br>
                <a class="reset_pass text-light" href="javascript:void(0)" data-mdb-modal-init data-mdb-target="#lostPasswordModal">Lost your password?</a>
            </div>


            <div class="separator">
                <p class="change_link">Interested in EnRep?<a href="javascript:void(0)" class="to_register text-dark" data-mdb-modal-init data-mdb-target="#demoRequestModal"> Request Demo </a></p>


                <div>
                    <h1 style="color:#fff"><span style="color:#09a3c6; text-indent:20px">En</span>gineering<br><span style="color:#09a3c6; text-indent:20px">Rep</span>orting</h1>
                    <p>&copy;<?= date('Y')?></p>
                </div>
            </div>

        </section>
    </div>
</div>

<div class="modal fade" id="lostPasswordModal" tabindex="-1" aria-labelledby="lostPasswordLabel" aria-hidden="true">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <div class="modal-header">
                <a href="javascript:void(0)" class="sa">Password Reset</a>
            </div>
            <div class="modal-body">
                <div class="mb-2">
                    <input type="email" id="resetEmail" class="form-control" placeholder="Registered email address" required>
                </div>
                <div class="mb-2">
                    <select id="resetType" class="form-control" required>
                        <option value="surveyor">Surveyor</option>
                        <option value="contractors">Contractor</option>
                        <option value="admins">Admin</option>
                    </select>
                </div>
                <div class="mb-2 text-center mt-3">
                    <button class="btn btn-primary" type="button" onclick="requestPasswordReset()">Request Password Reset</button>
                </div>
            </div>
        </div>
    </div>
</div>
<div class="modal fade" id="demoRequestModal" tabindex="-1" aria-labelledby="demoRequestLabel" aria-hidden="true">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <div class="modal-header">
                <a href="javascript:void(0)" class="sa">Request a Demo</a>
            </div>
            <div class="modal-body">
                <div class="mb-2">
                    <input type="text" id="demoName" class="form-control" placeholder="Full Name" required>
                </div>
                <div class="mb-2">
                    <input type="email" id="demoEmail" class="form-control" placeholder="Email" required>
                </div>
                <div class="mb-2">
                    <input type="tel" id="demoContactNumber" class="form-control" placeholder="Contact Number" required>
                </div>
                <div class="mb-2">
                    <select id="demoBusinessSize" class="form-control" required>
                        <option value="">Select Business Size</option>
                        <option value="Sole">Sole</option>
                        <option value="1-3">1-3 Employees</option>
                        <option value="3-5">3-5 Employees</option>
                        <option value="5-10">5-10 Employees</option>
                        <option value="10+">10+ Employees</option>
                    </select>
                </div>
                <div class="mb-2">
                    <input type="text" id="demoSoftware" class="form-control" placeholder="Existing Reporting Software (if any)">
                </div>
                <div class="mb-2">
                    <button class="btn btn-primary" type="button" onclick="submitDemoRequest()">Request Demo</button>
                </div>
            </div>
        </div>
    </div>
</div>
<script>
<?php if($_REQUEST['reason']=="blocked"){?>
showResponse('danger', 'Your access has been suspended, please contact your system administrator')
<?php }?>

function submitDemoRequest() {
    const demoName = document.getElementById('demoName').value;
    const demoEmail = document.getElementById('demoEmail').value;
    const demoContactNumber = document.getElementById('demoContactNumber').value;
    const demoBusinessSize = document.getElementById('demoBusinessSize').value;
    const demoSoftware = document.getElementById('demoSoftware').value;

    // Validate required fields
    if (!demoName || !demoEmail || !demoContactNumber || !demoBusinessSize) {
        showResponse('danger', 'Please fill in all required fields.');
        return;
    }

    fetch(ROOT_URL + '/framework/demo_request.php', {
            method: 'POST',
            headers: {
                'Content-Type': 'application/x-www-form-urlencoded'
            },
            body: new URLSearchParams({
                name: demoName,
                email: demoEmail,
                contact: demoContactNumber,
                size: demoBusinessSize,
                software: demoSoftware,
                tenant: TENANT_URL
            })
        })
        .then(response => response.text())
        .then(data => {
            if (data.trim() === 'success') {
                showResponse('success', 'Demo request has been sent successfully.');
                $('#demoRequestModal').modal('hide');
            } else {
                showResponse('danger', 'Error processing request. Please try again later.');
            }
        })
        .catch(error => {
            console.error('Error submitting demo request:', error);
            showResponse('danger', 'Failed to send demo request. Please try again later.');
        });
}


function requestPasswordReset() {
    const resetEmail = document.getElementById('resetEmail').value;
    const resetType = document.getElementById('resetType').value;

    if (!resetEmail || !resetType) {
        showResponse('danger', 'Please enter both your email and select user type');
        return;
    }

    fetch(ROOT_URL + '/framework/password_reset_request.php', {
            method: 'POST',
            headers: {
                'Content-Type': 'application/x-www-form-urlencoded'
            },
            body: new URLSearchParams({
                email: resetEmail,
                type: resetType,
                tenant: TENANT_URL
            })
        })
        .then(response => response.text())
        .then(data => {
            // debug(data)
            if (data.trim() === 'success') {
                showResponse('success', 'Password reset link has been sent to your email.');
                $('#lostPasswordModal').modal('hide');
            } else {
                showResponse('danger', 'Error processing request. Please ensure the email is registered.');
            }
        })
        .catch(error => {
            console.error('Error processing reset request:', error);
            showResponse('danger', 'Failed to send reset link. Please try again later.');
        });
}

function submitForm() {
    const inputEmail = document.getElementById('inputEmail').value;
    const inputPassword = document.getElementById('inputPassword').value;
    const inputType = document.getElementById('inputType').value;

    fetch('config.php', {
            method: 'POST',
            headers: {
                'Content-Type': 'application/x-www-form-urlencoded'
            },
            body: new URLSearchParams({
                u: inputEmail,
                p: inputPassword,
                t: inputType,
                src: 'ext',
                op: 'login'
            })
        })
        .then(response => response.text())
        .then(data => {
            const trimmedData = data.trim();

            if (trimmedData === '0') {
                showResponse('warning', 'The details entered have not been recognised, please try again');
                document.getElementById('btn').blur(); // Assuming you have an element with id="btn"
            } else if (trimmedData === '1') {
                window.location.href = 'index.php';
            } else if (trimmedData === '3') {
                showResponse('danger', 'Your access has been suspended, please contact your system administrator');
                document.getElementById('btn').blur();
            }
        })
        .catch(error => {
            console.error('Error submitting form:', error);
            // Handle the error appropriately (e.g., display an error message to the user)
        });
}

//$('body').css('background-color','#2d2d2d')
</script>