<?php
require_once('../../../'.$_REQUEST['tenant'].'/config.php');

// Fetch clients with expected inspections (pending + overdue)
$sql = "
    SELECT cd.clientnumber, cd.clientname, 
        COUNT(i.itemnumber) AS total_items, 
        SUM(CASE WHEN i.duedate < UNIX_TIMESTAMP(NOW()) AND i.statuslive = 1 THEN 1 ELSE 0 END) AS overdue,
        SUM(CASE WHEN i.duedate >= UNIX_TIMESTAMP(NOW()) 
                 AND i.duedate <= UNIX_TIMESTAMP(NOW() + INTERVAL 30 DAY) 
                 AND i.statuslive = 1 THEN 1 ELSE 0 END) AS pending
    FROM clientdetails cd
    LEFT JOIN itemdetails i ON cd.clientnumber = i.clientnumber
    WHERE cd.statuslive = 1  -- Only include live clients
      AND i.statuslive = 1   -- Only include live items
      AND i.duedate IS NOT NULL  -- Exclude items without a valid due date
      AND i.duedate > 0      -- Exclude items with an invalid due date
    GROUP BY cd.clientnumber
    HAVING (overdue + pending) > 0;  -- Exclude clients with no pending or overdue items
";

$result = $con->query($sql);
$clients = [];

while ($row = $result->fetch_assoc()) {
    $expected_inspections = $row['overdue'] + $row['pending'];  // Total of overdue and pending
    $clients[] = [
        'clientnumber' => $row['clientnumber'],
        'clientname' => $row['clientname'],
        'expected_inspections' => $expected_inspections  // Total inspections (pending + overdue)
    ];
}

echo json_encode(['clients' => $clients]);

$stmt->close();
$con->close();
?>