<script>
$('#navBox').html('<li class="breadcrumb-item active">System Tools: Database Backup</li>')
</script>
<div id="loadingObject" style="position: fixed; top:40%; width:100%; display:none">
    <h1 class="text-center"><i class="fad fa-database fa-spin fa-3x fa-fw" style="--fa-primary-color: #0055A6; --fa-secondary-color: gray;"></i><br>Backing up Data <br><small>Please wait</small><span class="sr-only">Loading...</span></h1>
</div>
<div id="start" class="mt-n5">
    <div class="blockquote">
        <p>Download a database backup to keep for security and retention policy regulations. <br><small class="text-warning">Backups are created automatically every Friday at midnight.</small></p>
    </div>
    <div class="col-12 text-center mb-4">
        <div class="btn-group">
            <button class="btn btn-info btn-sm mb-3 me-4" onclick="backup()">Backup Complete Database (SQL)</button>

            <!-- Buttons to backup specific tables as CSV -->
            <?php
$tablesToBackup = ['clientdetails', 'itemdetails', 'locations', 'agents', 'brokers', 'invoices', 'reportitems'];

foreach ($tablesToBackup as $table) {
    echo '<button class="btn btn-secondary btn-sm mb-3 me-4" onclick="csvbackup( \'' . $table . '\')">Backup ' . $table . ' as CSV</button>';
}
?>
        </div>
    </div>

    <div class="container">

        <ul class="list-group">
            <li class="list-group-item bg-info text-light">
                <div class="row">
                    <div class="col-6">File</div>
                    <div class="col-3">Date Created</div>
                    <div class="col-3 text-center">Download</div>
                </div>
            </li>

            <?php
$dir    = 'backups';
$files = scandir($dir);

foreach($files as $file) {
    if($file == "." || $file == "..") {
        continue;
    } else {
        $dl = $file;
        $fileInfo = pathinfo($dl);
        $file=explode('_',$file);
        $extension = isset($fileInfo['extension']) ? $fileInfo['extension'] : '';
        $file[1] = str_replace('.sql', '', $file[1]);
        $file[1] = str_replace('.csv', '', $file[1]);
        $file[2] = str_replace('.sql', '', $file[2]);
        $file[2] = str_replace('.csv', '', $file[2]);

        echo '
        <li class="list-group-item">
            <div class="row">
                <div class="col-6">' . ($extension == 'csv' ? '<i class="fad fa-file-csv"></i>' : '<i class="fad fa-database"></i>') . ' ' . $file[0] . '</div>
                <div class="col-3">' . $file[1] . ' ' . $file[2] . '</div>
                <div class="col-3 text-center">
                    <a href="'.$dir.'/'.$dl.'" class="btn btn-outline-info btn-sm" download><i class="fad fa-cloud-download-alt"></i> Download</a>
                    <button class="btn btn-outline-danger btn-sm" onclick="deleteBackup(\''.$dl.'\')"><i class="fad fa-trash"></i> Delete</button>
                </div>
            </div>
        </li>';
    }
}
?>
        </ul>
    </div>
</div>
<script>
function backup() {
    document.getElementById('loadingObject').style.display = 'block';
    document.getElementById('start').style.display = 'none';

    fetch(ROOT_URL + '/includes/backup/backup_functions.php', {
            method: 'POST',
            headers: {
                'Content-Type': 'application/x-www-form-urlencoded'
            },
            body: new URLSearchParams({
                action: 'dbbackup',
                tenant: TENANT_URL
            })
        })
        .then(response => response.text())
        .then(result => {
            //debug(result)
            if (result.trim() === "s") {
                showResponse('success', 'Your backup has been created successfully');
                location.reload();
            }
        })
        .catch(error => console.error('Error:', error));
}

function csvbackup(tableName) {
    document.getElementById('loadingObject').style.display = 'block';

    fetch(ROOT_URL + '/includes/backup/backup_functions.php', {
            method: 'POST',
            headers: {
                'Content-Type': 'application/x-www-form-urlencoded'
            },
            body: new URLSearchParams({
                action: 'csvbackup',
                table: tableName,
                type: 'csv',
                tenant: TENANT_URL
            })
        })
        .then(response => response.text())
        .then(response => {
            document.getElementById('loadingObject').style.display = 'none';

            if (response.trim() === "s") {
                console.log('Backup completed successfully!');
                location.reload();
            } else {
                console.log('Backup failed!');
            }
        })
        .catch(error => console.error('Error:', error));
}

function deleteBackup(filename) {
    var dest = '<p>Are you sure you wish do delete this backup?</p>';
    loadModalContent(dest, "deleteBox", "modal-md", 1060, "true", "Delete Backup File", "cancelConfirm", () => deleteBackupConfirm(filename));
}

function deleteBackupConfirm(filename) {

    fetch(ROOT_URL + '/includes/backup/backup_functions.php', {
            method: 'POST',
            headers: {
                'Content-Type': 'application/x-www-form-urlencoded'
            },
            body: new URLSearchParams({
                action: 'delete',
                filename: filename,
                tenant: TENANT_URL
            })
        })
        .then(response => response.text())
        .then(response => {
            if (response.trim() === "s") {
                console.log('Backup deleted successfully!');
                location.reload();
            } else {
                console.log('Backup deletion failed!');
            }
        })
        .catch(error => console.error('Error:', error));

}
</script>