<!DOCTYPE HTML>
<html>

<head>
    <meta charset="utf-8">
    <title>Newsletter</title>
    <meta name="format-detection" content="telephone=no">
    <meta name="viewport" content="width=device-width; initial-scale=1.0; maximum-scale=1.0; user-scalable=no;">
    <meta http-equiv="X-UA-Compatible" content="IE=9; IE=8; IE=7; IE=EDGE" />
    <style>
    @import url("https://fonts.googleapis.com/css?family=Open+Sans");

    * {
        margin: 0;
        font-family: "Open Sans", sans-serif;
        box-sizing: border-box;
    }

    img {
        max-width: 100%
    }

    body {
        -webkit-font-smoothing: antialiased;
        -webkit-text-size-adjust: none;
        width: 100% !important;
        height: 100%;
        line-height: 1.6em;
        margin: 0;
        padding: 0;
        font-family: "Open Sans", sans-serif;
    }

    table th {
        margin: 0 !important;
        padding: 10px !important;
        vertical-align: top;
        font-weight: normal;
        text-align: left
    }

    #wrapper {
        width: 60%;
        margin: 0 auto;
        background-color: #ffffff;
        padding: 0px
    }

    .header {
        background-color: #ffffff;
        border-bottom: 4px solid #2a3e53;
        width: 100%;
        padding-left: 10px;
        padding-right: 10px;
        padding-top: 10px
    }

    .header table td {
        font-size: 8px
    }

    .footer {
        background-color: #2a3e53;
        border-top: 2px solid #000000;
        width: 100%;
        padding-left: 10px;
        padding-right: 10px;
    }

    .footer table tr td {
        line-height: 12px
    }

    .content-wrap {
        background-color: #ffffff;
        padding-left: 20px;
        padding-right: 20px;
        color: #212121;
        min-height: 200px
    }

    .content-wrap img {
        padding: 3px;
        border: 1px solid #cccccc
    }

    .aligncenter {
        text-align: center;
    }

    .alignright {
        text-align: right;
    }

    .alignleft {
        text-align: left;
    }

    .clear {
        clear: both;
    }

    .row {
        margin-bottom: 30px !important
    }

    .img-fluid {
        max-width: 100%;
        height: auto;
    }

    .main {
        background-color: #ccc;
    }

    .titleBox {
        font-size: 30px
    }

    .btn {
        padding: 7px 25px;
        font-size: 1em;
        line-height: 2em;
        display: inline-block;
        font-weight: 400;
        text-align: center;
        white-space: nowrap;
        vertical-align: middle;
        border-radius: 5px;
        text-decoration: none;
        color: #ffffff !important
    }

    .btn-primary {
        color: #fff;
        background-color: #007bff;
        border-color: #007bff;
        color: #ffffff !important
    }

    @media only screen and (max-width: 640px) {
        #wrapper {
            width: 100% !important;
            margin: 0 !important
        }

        .titleBox {
            font-size: 15px !important
        }

        .contact {
            padding-top: 10px
        }

        .content-wrap {
            padding-left: 5px !important;
            padding-right: 5px !important
        }

        .block {
            width: 100% !important;
            display: block !important;
            text-align: center !important
        }

        .footer table tr td {
            line-height: 14px
        }

        p {
            font-size: 16px !important;
            text-align: center;
        }

        h1,
        h2,
        h3 {
            font-size: 20px !important;
            text-align: center
        }

        .content-wrap {
            text-align: center
        }

        .content-wrap img {
            text-align: center
        }
    }
    </style>
</head>

<body>
    <div class="main" style="margin-top:10px">

        <table id="wrapper" cellpadding="0" cellspacing="0">
            <tr>
                <td>


                    <div class="container header" style="border-bottom:4px solid #2a3e53;">
                        <table width="100%" bgcolor="#ffffff" cellpadding="0" cellspacing="0">
                            <tr>
                                <td class="block" width="33%" bgcolor="#ffffff" style="vertical-align:middle;" valign="middle"><img src="https://[LOGO]" height="50px" /></td>
                                <td class="block aligncenter titleBox" width="33%" bgcolor="#ffffff" style="vertical-align:middle; color:#000000"><b>[SUBJECT]</b></td>
                                <td class="block contact" width="33%" bgcolor="#ffffff" align="right" style="vertical-align:middle;" valign="middle">[CONTACT]</td>
                            </tr>
                        </table>
                    </div>

                    <div class="container content-wrap">
                        <table width="100%" bgcolor="#ffffff" cellpadding="0" cellspacing="0">
                            <tr>
                                <td class="block"><br /><br />[MESSAGE]<br /><br /></td>
                            </tr>
                        </table>
                    </div>

                    <div class="container footer" style="color:#ffffff;">
                        <table width="100%" height="100%" bgcolor="#2a3e53" style="font-size:10px">
                            <tr valign="middle">
                                <td class="block" width="33%" bgcolor="#2a3e53" style="vertical-align:top; color:#fff; font-size:10px">
                                    [ADDRESS]
                                </td>
                                <td class="block" width="33%" class="aligncenter" bgcolor="#2a3e53" style="vertical-align:middle; color:#ffffff">
                                    <img src="https://[ENREP]" />
                                </td>
                                <td class="block" width="33%" class="alignright" bgcolor="#2a3e53" style="vertical-align:top; color:#ffffff">
                                </td>
                            </tr>
                        </table>
                    </div>
        </table>
        </tr>
        </td>
    </div>
</body>

</html>