/*! jQuery UI integration for DataTables' Buttons
 * © SpryMedia Ltd - datatables.net/license
 */

(function (factory) {
  if (typeof define === "function" && define.amd) {
    // AMD
    define(["jquery", "datatables.net-jqui", "datatables.net-buttons"], function ($) {
      return factory($, window, document);
    });
  } else if (typeof exports === "object") {
    // CommonJS
    var jq = require_once("jquery");
    var cjsRequires = function (root, $) {
      if (!$.fn.dataTable) {
        require_once("datatables.net-jqui")(root, $);
      }

      if (!$.fn.dataTable.Buttons) {
        require_once("datatables.net-buttons")(root, $);
      }
    };

    if (typeof window === "undefined") {
      module.exports = function (root, $) {
        if (!root) {
          // CommonJS environments without a window global must pass a
          // root. This will give an error otherwise
          root = window;
        }

        if (!$) {
          $ = jq(root);
        }

        cjsRequires(root, $);
        return factory($, root, root.document);
      };
    } else {
      cjsRequires(window, jq);
      module.exports = factory(jq, window, window.document);
    }
  } else {
    // Browser
    factory(jQuery, window, document);
  }
})(function ($, window, document) {
  "use strict";
  var DataTable = $.fn.dataTable;

  $.extend(true, DataTable.Buttons.defaults, {
    dom: {
      collection: {
        action: {
          dropHtml: '<span class="ui-button-icon-primary ui-icon ui-icon-triangle-1-s"/>',
        },
        button: {
          active: "dt-button-active",
        },
      },
      container: {
        className: "dt-buttons ui-buttonset",
      },
      button: {
        className: "dt-button ui-button ui-corner-all",
        disabled: "ui-state-disabled",
        active: "ui-state-active",
        liner: {
          tag: "span",
          className: "",
        },
      },
      split: {
        action: {
          tag: "button",
          className: "dt-button-split-drop-button ui-button ui-corner-left",
        },
        dropdown: {
          tag: "button",
          dropHtml: '<span class="ui-button-icon-primary ui-icon ui-icon-triangle-1-s"/>',
          className: "dt-button-split-drop ui-button ui-corner-right",
        },
        wrapper: {
          tag: "div",
          className: "dt-button-split",
        },
      },
    },
  });

  return DataTable;
});
