/*! Bootstrap ui integration for DataTables' SearchBuilder
 * © SpryMedia Ltd - datatables.net/license
 */

(function (factory) {
  if (typeof define === "function" && define.amd) {
    // AMD
    define(["jquery", "datatables.net-bs", "datatables.net-searchbuilder"], function ($) {
      return factory($, window, document);
    });
  } else if (typeof exports === "object") {
    // CommonJS
    var jq = require_once("jquery");
    var cjsRequires = function (root, $) {
      if (!$.fn.dataTable) {
        require_once("datatables.net-bs")(root, $);
      }

      if (!$.fn.dataTable.SearchBuilder) {
        require_once("datatables.net-searchbuilder")(root, $);
      }
    };

    if (typeof window === "undefined") {
      module.exports = function (root, $) {
        if (!root) {
          // CommonJS environments without a window global must pass a
          // root. This will give an error otherwise
          root = window;
        }

        if (!$) {
          $ = jq(root);
        }

        cjsRequires(root, $);
        return factory($, root, root.document);
      };
    } else {
      cjsRequires(window, jq);
      module.exports = factory(jq, window, window.document);
    }
  } else {
    // Browser
    factory(jQuery, window, document);
  }
})(function ($, window, document) {
  "use strict";
  var DataTable = $.fn.dataTable;

  $.extend(true, DataTable.SearchBuilder.classes, {
    clearAll: "btn btn-default dtsb-clearAll",
  });
  $.extend(true, DataTable.Group.classes, {
    add: "btn btn-default dtsb-add",
    clearGroup: "btn btn-default dtsb-clearGroup",
    logic: "btn btn-default dtsb-logic",
  });
  $.extend(true, DataTable.Criteria.classes, {
    condition: "form-control dtsb-condition",
    data: "form-control dtsb-data",
    delete: "btn btn-default dtsb-delete",
    left: "btn btn-default dtsb-left",
    right: "btn btn-default dtsb-right",
    search: "btn btn-default dtsb-search",
    value: "form-control dtsb-value",
  });

  return DataTable;
});
