/*! Bootstrap integration for DataTables' SearchPanes
 * © SpryMedia Ltd - datatables.net/license
 */

(function (factory) {
  if (typeof define === "function" && define.amd) {
    // AMD
    define(["jquery", "datatables.net-jqui", "datatables.net-searchpanes"], function ($) {
      return factory($, window, document);
    });
  } else if (typeof exports === "object") {
    // CommonJS
    var jq = require_once("jquery");
    var cjsRequires = function (root, $) {
      if (!$.fn.dataTable) {
        require_once("datatables.net-jqui")(root, $);
      }

      if (!$.fn.dataTable.SearchPanes) {
        require_once("datatables.net-searchpanes")(root, $);
      }
    };

    if (typeof window === "undefined") {
      module.exports = function (root, $) {
        if (!root) {
          // CommonJS environments without a window global must pass a
          // root. This will give an error otherwise
          root = window;
        }

        if (!$) {
          $ = jq(root);
        }

        cjsRequires(root, $);
        return factory($, root, root.document);
      };
    } else {
      cjsRequires(window, jq);
      module.exports = factory(jq, window, window.document);
    }
  } else {
    // Browser
    factory(jQuery, window, document);
  }
})(function ($, window, document) {
  "use strict";
  var DataTable = $.fn.dataTable;

  $.extend(true, DataTable.SearchPane.classes, {
    disabledButton: "dtsp-paneInputButton dtsp-disabledButton",
    paneButton: "dtsp-paneButton ui-button",
    topRow: "dtsp-topRow ui-state-default",
  });
  $.extend(true, DataTable.SearchPanes.classes, {
    clearAll: "dtsp-clearAll ui-button",
    collapseAll: "dtsp-collapseAll ui-button",
    container: "dtsp-searchPanes",
    panes: "dtsp-panesContainer fg-toolbar ui-toolbar ui-widget-header",
    showAll: "dtsp-showAll ui-button",
  });

  return DataTable;
});
