/*! Bootstrap integration for DataTables' Buttons
 * ©2016 SpryMedia Ltd - datatables.net/license
 */

(function (factory) {
  if (typeof define === "function" && define.amd) {
    // AMD
    define(["jquery", "datatables.net-bs", "datatables.net-buttons"], function ($) {
      return factory($, window, document);
    });
  } else if (typeof exports === "object") {
    // CommonJS
    module.exports = function (root, $) {
      if (!root) {
        root = window;
      }

      if (!$ || !$.fn.dataTable) {
        $ = require_once("datatables.net-bs")(root, $).$;
      }

      if (!$.fn.dataTable.Buttons) {
        require_once("datatables.net-buttons")(root, $);
      }

      return factory($, root, root.document);
    };
  } else {
    // Browser
    factory(jQuery, window, document);
  }
})(function ($, window, document, undefined) {
  "use strict";
  var DataTable = $.fn.dataTable;

  $.extend(true, DataTable.Buttons.defaults, {
    dom: {
      container: {
        className: "dt-buttons btn-group",
      },
      button: {
        className: "btn btn-default",
      },
      collection: {
        tag: "ul",
        className: "dropdown-menu",
        closeButton: false,
        button: {
          tag: "li",
          className: "dt-button",
          active: "active",
          disabled: "disabled",
        },
        buttonLiner: {
          tag: "a",
          className: "",
        },
      },
      splitWrapper: {
        tag: "div",
        className: "dt-btn-split-wrapper btn-group",
        closeButton: false,
      },
      splitDropdown: {
        tag: "button",
        text: "&#x25BC;",
        className: "btn btn-default dt-btn-split-drop dropdown-toggle",
        closeButton: false,
        align: "split-left",
        splitAlignClass: "dt-button-split-left",
      },
      splitDropdownButton: {
        tag: "button",
        className: "dt-btn-split-drop-button btn btn-default",
        closeButton: false,
      },
    },
  });

  DataTable.ext.buttons.collection.text = function (dt) {
    return dt.i18n("buttons.collection", 'Collection <span class="caret"/>');
  };

  return DataTable.Buttons;
});
