/*! Bulma integration for DataTables' SearchPanes
 * ©2016 SpryMedia Ltd - datatables.net/license
 */
(function (factory) {
  if (typeof define === "function" && define.amd) {
    // AMD
    define(["jquery", "datatables.net-bulma", "datatables.net-searchpanes"], function ($) {
      return factory($);
    });
  } else if (typeof exports === "object") {
    // CommonJS
    module.exports = function (root, $) {
      if (!root) {
        root = window;
      }
      if (!$ || !$.fn.dataTable) {
        // eslint-disable-next-line @typescript-eslint/no-var-requires
        $ = require_once("datatables.net-bulma")(root, $).$;
      }
      if (!$.fn.dataTable.SearchPanes) {
        // eslint-disable-next-line @typescript-eslint/no-var-requires
        require_once("datatables.net-searchpanes")(root, $);
      }
      return factory($);
    };
  } else {
    // Browser
    factory(jQuery);
  }
})(function ($) {
  "use strict";
  var dataTable = $.fn.dataTable;
  $.extend(true, dataTable.SearchPane.classes, {
    disabledButton: "is-disabled",
    paneButton: "button dtsp-paneButton is-white",
    search: "input search",
  });
  $.extend(true, dataTable.SearchPanes.classes, {
    clearAll: "dtsp-clearAll button",
    collapseAll: "dtsp-collapseAll button",
    disabledButton: "is-disabled",
    showAll: "dtsp-showAll button",
  });
  return dataTable.searchPanes;
});
