/*!
 * bootstrap-fileinput v5.1.4
 * http://plugins.krajee.com/file-input
 *
 * Krajee Explorer Font Awesome theme configuration for bootstrap-fileinput.
 * Load this theme file after loading `fileinput.js`. Ensure that
 * font awesome assets and CSS are loaded on the page as well.
 *
 * Author: Kartik Visweswaran
 * Copyright: 2014 - 2020, Kartik Visweswaran, Krajee.com
 *
 * Licensed under the BSD-3-Clause
 * https://github.com/kartik-v/bootstrap-fileinput/blob/master/LICENSE.md
 */
(function ($) {
  "use strict";
  $.fn.fileinputThemes["explorer-fas"] = {
    layoutTemplates: {
      footer: '<div class="file-details-cell">' + '<div class="explorer-caption" title="{caption}">{caption}</div> ' + "{size}{progress}" + "</div>" + '<div class="file-actions-cell">{indicator} {actions}</div>',
      actions: "{drag}\n" + '<div class="file-actions">\n' + '    <div class="file-footer-buttons">\n' + "        {upload} {download} {delete} {zoom} {other} " + "    </div>\n" + "</div>",
      fileIcon: '<i class="fad fa-file kv-caption-icon"></i> ',
    },
    previewSettings: {
      html: { width: "100px", height: "60px" },
      text: { width: "100px", height: "60px" },
      video: { width: "auto", height: "60px" },
      audio: { width: "auto", height: "60px" },
      flash: { width: "100%", height: "60px" },
      object: { width: "100%", height: "60px" },
      pdf: { width: "100px", height: "60px" },
      other: { width: "100%", height: "60px" },
    },
    frameClass: "explorer-frame",
    fileActionSettings: {
      removeIcon: '<i class="fad fa-trash-alt"></i>',
      uploadIcon: '<i class="fad fa-upload"></i>',
      uploadRetryIcon: '<i class="fad fa-redo-alt"></i>',
      downloadIcon: '<i class="fad fa-download"></i>',
      zoomIcon: '<i class="fad fa-search-plus"></i>',
      dragIcon: '<i class="fad fa-arrows-alt"></i>',
      indicatorNew: '<i class="fad fa-plus-circle text-warning"></i>',
      indicatorSuccess: '<i class="fad fa-check-circle text-success"></i>',
      indicatorError: '<i class="fad fa-exclamation-circle text-danger"></i>',
      indicatorLoading: '<i class="fad fa-hourglass text-muted"></i>',
      indicatorPaused: '<i class="fa fa-pause text-info"></i>',
    },
    previewZoomButtonIcons: {
      prev: '<i class="fad fa-caret-left fa-lg"></i>',
      next: '<i class="fad fa-caret-right fa-lg"></i>',
      toggleheader: '<i class="fad fa-fw fa-arrows-alt-v"></i>',
      fullscreen: '<i class="fad fa-fw fa-arrows-alt"></i>',
      borderless: '<i class="fad fa-fw fa-external-link-alt"></i>',
      close: '<i class="fad fa-fw fa-times"></i>',
    },
    previewFileIcon: '<i class="fad fa-file"></i>',
    browseIcon: '<i class="fad fa-folder-open"></i>',
    removeIcon: '<i class="fad fa-trash-alt"></i>',
    cancelIcon: '<i class="fad fa-ban"></i>',
    pauseIcon: '<i class="fad fa-pause"></i>',
    uploadIcon: '<i class="fad fa-upload"></i>',
    msgValidationErrorIcon: '<i class="fad fa-exclamation-circle"></i> ',
  };
})(window.jQuery);
