/*!
 * bootstrap-fileinput v5.5.0
 * http://plugins.krajee.com/file-input
 *
 * Font Awesome 5.x icon theme configuration for bootstrap-fileinput. Requires font awesome 5 assets to be loaded.
 *
 * Author: Kartik Visweswaran
 * Copyright: 2014 - 2024, Kartik Visweswaran, Krajee.com
 *
 * Licensed under the BSD-3-Clause
 * https://github.com/kartik-v/bootstrap-fileinput/blob/master/LICENSE.md
 */
(function (factory) {
  "use strict";
  if (typeof define === "function" && define.amd) {
    define(["jquery"], factory);
  } else if (typeof module === "object" && typeof module.exports === "object") {
    factory(require("jquery"));
  } else {
    factory(window.jQuery);
  }
})(function ($) {
  "use strict";

  $.fn.fileinputThemes.fa5 = {
    fileActionSettings: {
      removeIcon: '<i class="far fa-trash-alt"></i>',
      uploadIcon: '<i class="fad fa-upload"></i>',
      uploadRetryIcon: '<i class="fad fa-cloud-arrow-up"></i>',
      downloadIcon: '<i class="fad fa-download"></i>',
      rotateIcon: '<i class="fad fa-redo"></i>',
      zoomIcon: '<i class="fad fa-search-plus"></i>',
      dragIcon: '<i class="fad fa-arrows-alt"></i>',
      indicatorNew: '<i class="fad fa-plus-circle text-warning"></i>',
      indicatorSuccess: '<i class="fad fa-check-circle text-success"></i>',
      indicatorError: '<i class="fad fa-exclamation-circle text-danger"></i>',
      indicatorLoading: '<i class="fad fa-hourglass text-muted"></i>',
      indicatorPaused: '<i class="fa fa-pause text-info"></i>',
    },
    layoutTemplates: {
      fileIcon: '<i class="fad fa-file kv-caption-icon"></i> ',
    },
    previewZoomButtonIcons: {
      prev: '<i class="fad fa-chevron-left"></i>',
      next: '<i class="fad fa-chevron-right"></i>',
      rotate: '<i class="fad fa-redo"></i>',
      toggleheader: '<i class="fad fa-fw fa-arrows-alt-v"></i>',
      fullscreen: '<i class="fad fa-expand-arrows-alt"></i>',
      borderless: '<i class="fad fa-fw fa-external-link-alt"></i>',
      close: '<i class="fad fa-fw fa-times"></i>',
    },
    previewFileIcon: '<i class="fad fa-file"></i>',
    browseIcon: '<i class="fad fa-folder-open"></i>',
    removeIcon: '<i class="far fa-trash-alt"></i>',
    cancelIcon: '<i class="fad fa-ban"></i>',
    pauseIcon: '<i class="fad fa-pause"></i>',
    uploadIcon: '<i class="fad fa-upload"></i>',
    msgValidationErrorIcon: '<i class="fad fa-exclamation-circle"></i> ',
  };
});
