/**
 * @license Copyright (c) 2003-2020, CKSource - Frederico Knabben. All rights reserved.
 * For licensing, see LICENSE.md or https://ckeditor.com/legal/ckeditor-oss-license
 */

// Register a templates definition set named "default".
CKEDITOR.addTemplates("default", {
  // The name of sub folder which hold the shortcut preview images of the
  // templates.
  imagesPath: CKEDITOR.getUrl(CKEDITOR.plugins.getPath("templates") + "templates/images/"),

  // The templates definitions.
  templates: [
    {
      title: "Template 1",
      image: "template1.png",
      description: "Title, table and list",
      html:
        "<h3>" +
        // Use src=" " so image is not filtered out by the editor as incorrect (src is required).
        "<h2>Title</h2>" +
        "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quae, nostrum eaque veniam beatae dolor aliquam qui, voluptatem animi adipisci eveniet alias nisi expedita commodi delectus, aliquid impedit. Natus quos architecto id quaerat animi hic, ipsa quibusdam ad voluptate unde, impedit, numquam, provident corrupti vel quam a! Corporis magni nam optio commodi mollitia error non, enim amet totam nostrum assumenda excepturi itaque rem eius iure in. Eum, illo, debitis. Itaque expedita quos impedit neque, voluptate soluta deleniti harum ratione facilis, assumenda mollitia recusandae vero corporis necessitatibus dignissimos eligendi fugiat commodi illo fuga sed. Nemo nostrum, sed quam quod soluta officia perferendis eaque adipisci mollitia id tempora tenetur vitae in assumenda possimus aut maiores, laborum, accusamus suscipit quos distinctio deleniti odit! Tenetur?</p>" +
        "<p>&nbsp;</p>" +
        '<table border="1" style="width:100%; border:1px solid #999999; border-collapse: collapse">' +
        "<thead>" +
        "<tr>" +
        "<th>asdsa</th>" +
        "<th>&nbsp;</th>" +
        "</tr>" +
        "</thead>" +
        "<tbody>" +
        "<tr>" +
        "<td>&nbsp;</td>" +
        "<td>&nbsp;</td>" +
        "</tr>" +
        "</tbody>" +
        "</table>" +
        "<p>&nbsp;</p>" +
        "<ul>" +
        "<li>asdsadasd</li>" +
        "<li>asdsadasd</li>" +
        "<li>asdsadsad</li>" +
        "<li>asdasdsad</li>" +
        "</ul>" +
        "<p>&nbsp;</p>",
    },
    {
      title: "Template 2",
      image: "template2.png",
      description: "A template that defines two columns, each one with a title, and some text.",
      html:
        '<table cellspacing="0" cellpadding="0" style="width:100%" border="0">' +
        "<tr>" +
        '<td style="width:50%">' +
        "<h3>Title 1</h3>" +
        "</td>" +
        "<td></td>" +
        '<td style="width:50%">' +
        "<h3>Title 2</h3>" +
        "</td>" +
        "</tr>" +
        "<tr>" +
        "<td>" +
        "Text 1" +
        "</td>" +
        "<td></td>" +
        "<td>" +
        "Text 2" +
        "</td>" +
        "</tr>" +
        "</table>" +
        "<p>" +
        "More text goes here." +
        "</p>",
    },
    {
      title: "Template 3",
      image: "template3.png",
      description: "Ladders",
      html: '<table style="border-collapse:collapse;border:none;width:100%"><tbody><tr><td width="20%"><span style="font-size:12px;"><strong>Description</strong></span></td><td><span style="font-size:12px;">5 Yearly Structural Appraisal &amp; 2 Yearly Visual Inspection - Fire Escape Stairway</span></td></tr><tr><td><span style="font-size:12px;"><strong>Installation Number</strong></span></td><td><span style="font-size:12px;">Fire Escape - STAIR.04</span></td></tr><tr><td><span style="font-size:12px;"><strong>Location</strong></span></td><td><span style="font-size:12px;">Army Air Corp Training Building - 40, Main Door, West Side, Capt. H. Ackroyd Training Room.</span></td></tr></tbody></table><p>&nbsp;</p><p><span style="font-size:12px;">On the date shown our Engineer Surveyor undertook examination of the Fire Escape Stairway installation at the premises detailed above.<br />	  The following pages are a report of our findings.</span></p><p><span style="font-size:14px;"><strong>Installation Overview</strong></span></p><p><span style="font-size:12px;">Single Storey Raised Building, Steps Masonry Traditional Build with Galvanized Steel Hand Rail. General Access Steps (Fig.1, Fig 2 &amp; Fig. 3)</span></p><p><span style="font-size:14px;"><strong>References</strong></span></p><table style="border-collapse:collapse;border:none;width:100%"><tbody><tr><td><span style="font-size:12px;"><strong>HASAWA</strong></span></td><td><span style="font-size:12px;">Health and Safety at Work Act 1974</span></td></tr><tr><td><span style="font-size:12px;"><strong>UK SI 2005 No.1541</strong></span></td><td><span style="font-size:12px;">Regulatory Reforms (Fire Safety Order 2005: Maintenance 17.1</span></td></tr><tr><td>&nbsp;</td><td><span style="font-size:12px;">The Building Regulations - Part B</span></td></tr><tr><td><span style="font-size:12px;"><strong>PG3/10</strong></span></td><td><span style="font-size:12px;">Fixed Access Systems</span></td></tr><tr><td><span style="font-size:12px;"><strong>BS 5395</strong></span></td><td><span style="font-size:12px;">Stairs, Ladders &amp; Walkways. Design, Construction &amp; maintenance</span></td></tr><tr><td><span style="font-size:12px;"><strong>BS 4211</strong></span></td><td><span style="font-size:12px;">Specification for permanently fixed ladders</span></td></tr><tr><td><span style="font-size:12px;"><strong>BS 6399</strong></span></td><td><span style="font-size:12px;">Loadings for Buildings</span></td></tr><tr><td><span style="font-size:12px;"><strong>MHSWR</strong></span></td><td><span style="font-size:12px;">Management of Health and Safety at Work Regulations 1999</span></td></tr></tbody></table><p>&nbsp;</p><table class="Table" style="border-collapse:collapse;border:none;width:100%;"><tbody><tr><td style="background-color:red;" valign="middle"><p><span style="font-size:12px;"><b><span style="color:white">RED</span></b></span></p></td><td valign="middle"><p><span style="font-size:12px;"><b>Something needs attention urgently - Present hazard to users of installation</b></span></p></td></tr><tr><td style="background-color:#f79646;" valign="middle"><p><span style="font-size:12px;"><b><span style="color:white">AMBER 1</span></b></span></p></td><td valign="middle"><p><span style="font-size:12px;"><b>Needs attention within 12 months</b></span></p></td></tr><tr><td style="background-color:#f79646;" valign="middle"><p><span style="font-size:12px;"><b><span style="color:white">AMBER 2</span></b></span></p></td><td valign="middle"><p><span style="font-size:12px;"><b>Needs attention prior to the next inspection</b></span></p></td></tr><tr><td style="background-color:#92d050;" valign="middle"><p><span style="font-size:12px;"><b><span style="color:white">GREEN</span></b></span></p></td><td valign="middle"><p><span style="font-size:12px;"><b>Safe until next inspection</b></span></p></td></tr></tbody></table><p>&nbsp;</p><table align="left" class="Table" style="background:yellow; border-collapse:collapse; border:none; margin-left:10px; margin-right:10px"><tbody><tr><td style="border-bottom:1px solid black; border-top:1px solid black; border-left:1px solid black; border-right:1px solid black; width:79px; padding:0cm 7px 0cm 7px; height:50px; background-color:yellow;" valign="middle"><p align="center" style="margin-top:16px; margin-bottom:16px; text-align:center"><span style="font-size:12px;"><b>Y</b></span></p></td><td style="border-bottom:1px solid black; border-left:1px solid black; width:79px; padding:0cm 7px 0cm 7px; height:50px; background-color:yellow; border-top:1px solid black; border-right:1px solid black;" valign="middle"><p align="center" style="margin-top:16px; margin-bottom:16px; text-align:center"><span style="font-size:12px;"><b>N</b></span></p></td><td valign="middle"><span style="font-size:12px;"><b>FIXED ACCESS</b></span></td></tr><tr><td style="border-bottom:1px solid black; width:79px; padding:0cm 7px 0cm 7px; height:50px; background-color:yellow;border-left:1px solid black;" valign="middle"><p align="center" style="margin-top:16px; margin-bottom:16px; text-align:center;"><span style="font-size:12px;"><b>N</b></span></p></td><td style="border-bottom:1px solid black; width:79px; padding:0cm 7px 0cm 7px; height:50px; background-color:yellow; border-top:none; border-right:1px solid black; border-left:1px solid black;" valign="middle"><p align="center" style="margin-top:16px; margin-bottom:16px; text-align:center;"><span style="font-size:12px;"><b>N</b></span></p></td><td valign="middle"><span style="font-size:12px;"><b>MEZZANINE</b></span></td></tr></tbody></table><p style="margin-top:7px; margin-left:144px; text-indent:-108.0pt">&nbsp;</p><p>&nbsp;</p><p>&nbsp;</p><table class="Table" style="border-collapse:collapse;border:none;width:100%;"><tbody><tr><td rowspan="2" style="border-bottom:1px solid black; border-left:1px solid black; border-right:1px solid black; border-top:1px solid black; width:218px; padding:0cm 7px 0cm 7px; height:24px;" valign="middle"><p align="center" style="margin-top:16px; margin-bottom:16px; text-align:center"><span style="font-size:12px;"><b>Element</b></span></p></td><td colspan="4" style="border-bottom:1px solid black; width:181px; padding:0cm 7px 0cm 7px; height:24px; border-top:1px solid black; border-right:1px solid black; border-left:none" valign="middle"><p align="center" style="margin-top:16px; margin-bottom:16px; text-align:center"><span style="font-size:12px;"><b>Grading</b></span></p></td><td rowspan="2" style="border-bottom:1px solid black; width:248px; padding:0cm 7px 0cm 7px; height:24px; border-top:1px solid black; border-right:1px solid black; border-left:none" valign="middle"><p align="center" style="margin-top:16px; margin-bottom:16px; text-align:center"><span style="font-size:12px;"><b>Defects</b></span></p></td><td rowspan="2" style="border-bottom:1px solid black; width:256px; padding:0cm 7px 0cm 7px; height:24px; border-top:1px solid black; border-right:1px solid black; border-left:none" valign="middle"><p align="center" style="margin-top:16px; margin-bottom:16px; text-align:center"><span style="font-size:12px;"><b>Action</b></span></p></td></tr><tr><td style="border-bottom:1px solid black; width:39px; padding:0cm 7px 0cm 7px; height:24px; background-color:#92d050; border-top:none; border-right:1px solid black; border-left:none" valign="middle"><p align="center" style="margin-top:16px; margin-bottom:16px; text-align:center"><b><span style="color:white">G</span></b></p></td><td style="border-bottom:1px solid black; width:47px; padding:0cm 7px 0cm 7px; height:24px; background-color:#f79646; border-top:none; border-right:1px solid black; border-left:none" valign="middle"><p align="center" style="margin-top:16px; margin-bottom:16px; text-align:center"><b><span style="color:white">A1</span></b></p></td><td style="border-bottom:1px solid black; width:47px; padding:0cm 7px 0cm 7px; height:24px; background-color:#f79646; border-top:none; border-right:1px solid black; border-left:none" valign="middle"><p align="center" style="margin-top:16px; margin-bottom:16px; text-align:center"><b><span style="color:white">A2</span></b></p></td><td style="border-bottom:1px solid black; width:47px; padding:0cm 7px 0cm 7px; height:24px; background-color:red; border-top:none; border-right:1px solid black; border-left:none" valign="middle"><p align="center" style="margin-top:16px; margin-bottom:16px; text-align:center"><b><span style="color:white">R</span></b></p></td></tr><tr><td style="border-bottom:none; border-top:none; border-right:none; border-left:none; width:179px">&nbsp;</td><td style="border-bottom:none; border-top:none; border-right:none; border-left:none; width:37px">&nbsp;</td><td style="border-bottom:none; border-top:none; border-right:none; border-left:none; width:45px">&nbsp;</td><td style="border-bottom:none; border-top:none; border-right:none; border-left:none; width:45px">&nbsp;</td><td style="border-bottom:none; border-top:none; border-right:none; border-left:none; width:42px">&nbsp;</td><td style="border-bottom:none; border-top:none; border-right:none; border-left:none; width:198px">&nbsp;</td><td style="border-bottom:none; border-top:none; border-right:none; border-left:none; width:202px">&nbsp;</td></tr></tbody></table><table class="Table" style="border-collapse:collapse;border:none;width:100%;"><tbody><tr><td style="border-left:1px solid black; border-right:1px solid black; border-top:1px solid black; border-bottom:1px solid black; width:218px; padding:0cm 7px 0cm 7px; height:24px;" valign="middle"><p><span style="font-size:12px;">Columns / Post</span></p></td><td style="border-bottom:1px solid black; width:39px; padding:0cm 7px 0cm 7px; height:24px; border-top:1px solid black; border-right:1px solid black; border-left:none" valign="middle"><p align="center" style="margin-top:16px; margin-bottom:16px; text-align:center"><span style="font-size:12px;"><b>x</b></span></p></td><td style="border-bottom:1px solid black; width:47px; padding:0cm 7px 0cm 7px; height:24px; border-top:1px solid black; border-right:1px solid black; border-left:none" valign="middle"><p align="center" style="margin-top:16px; margin-bottom:16px; text-align:center">&nbsp;</p></td><td style="border-bottom:1px solid black; width:47px; padding:0cm 7px 0cm 7px; height:24px; border-top:1px solid black; border-right:1px solid black; border-left:none" valign="middle"><p align="center" style="margin-top:16px; margin-bottom:16px; text-align:center">&nbsp;</p></td><td style="border-bottom:1px solid black; width:47px; padding:0cm 7px 0cm 7px; height:24px; border-top:1px solid black; border-right:1px solid black; border-left:none" valign="middle"><p align="center" style="margin-top:16px; margin-bottom:16px; text-align:center">&nbsp;</p></td><td style="border-bottom:1px solid black; width:248px; padding:0cm 7px 0cm 7px; height:24px; border-top:1px solid black; border-right:1px solid black; border-left:none" valign="middle"><p>&nbsp;</p></td><td style="border-bottom:1px solid black; width:256px; padding:0cm 7px 0cm 7px; height:24px; border-top:1px solid black; border-right:1px solid black; border-left:none" valign="middle"><p align="center" style="margin-top:16px; margin-bottom:16px; text-align:center">&nbsp;</p></td></tr><tr><td style="border-left:1px solid black; border-right:1px solid black;border-bottom:1px solid black; width:218px; padding:0cm 7px 0cm 7px; height:24px;" valign="middle"><p><span style="font-size:12px;">Beams / Joists</span></p></td><td style="border-bottom:1px solid black; width:39px; padding:0cm 7px 0cm 7px; height:24px; border-top:none; border-right:1px solid black; border-left:none" valign="middle"><p align="center" style="margin-top:16px; margin-bottom:16px; text-align:center"><span style="font-size:12px;"><b>x</b></span></p></td><td style="border-bottom:1px solid black; width:47px; padding:0cm 7px 0cm 7px; height:24px; border-top:none; border-right:1px solid black; border-left:none" valign="middle"><p align="center" style="margin-top:16px; margin-bottom:16px; text-align:center">&nbsp;</p></td><td style="border-bottom:1px solid black; width:47px; padding:0cm 7px 0cm 7px; height:24px; border-top:none; border-right:1px solid black; border-left:none" valign="middle"><p align="center" style="margin-top:16px; margin-bottom:16px; text-align:center">&nbsp;</p></td><td style="border-bottom:1px solid black; width:47px; padding:0cm 7px 0cm 7px; height:24px; border-top:none; border-right:1px solid black; border-left:none" valign="middle"><p align="center" style="margin-top:16px; margin-bottom:16px; text-align:center">&nbsp;</p></td><td style="border-bottom:1px solid black; width:248px; padding:0cm 7px 0cm 7px; height:24px; border-top:none; border-right:1px solid black; border-left:none" valign="middle"><p>&nbsp;</p></td><td style="border-bottom:1px solid black; width:256px; padding:0cm 7px 0cm 7px; height:24px; border-top:none; border-right:1px solid black; border-left:none" valign="middle"><p align="center" style="margin-top:16px; margin-bottom:16px; text-align:center">&nbsp;</p></td></tr><tr><td style="border-left:1px solid black; border-right:1px solid black;border-bottom:1px solid black; width:218px; padding:0cm 7px 0cm 7px; height:24px;" valign="middle"><p><span style="font-size:12px;">Diagonal Bracings</span></p></td><td style="border-bottom:1px solid black; width:39px; padding:0cm 7px 0cm 7px; height:24px; border-top:none; border-right:1px solid black; border-left:none" valign="middle"><p align="center" style="margin-top:16px; margin-bottom:16px; text-align:center"><span style="font-size:12px;"><b>x</b></span></p></td><td style="border-bottom:1px solid black; width:47px; padding:0cm 7px 0cm 7px; height:24px; border-top:none; border-right:1px solid black; border-left:none" valign="middle"><p align="center" style="margin-top:16px; margin-bottom:16px; text-align:center">&nbsp;</p></td><td style="border-bottom:1px solid black; width:47px; padding:0cm 7px 0cm 7px; height:24px; border-top:none; border-right:1px solid black; border-left:none" valign="middle"><p align="center" style="margin-top:16px; margin-bottom:16px; text-align:center">&nbsp;</p></td><td style="border-bottom:1px solid black; width:47px; padding:0cm 7px 0cm 7px; height:24px; border-top:none; border-right:1px solid black; border-left:none" valign="middle"><p align="center" style="margin-top:16px; margin-bottom:16px; text-align:center">&nbsp;</p></td><td style="border-bottom:1px solid black; width:248px; padding:0cm 7px 0cm 7px; height:24px; border-top:none; border-right:1px solid black; border-left:none" valign="middle"><p align="center" style="margin-top:16px; margin-bottom:16px; text-align:center">&nbsp;</p></td><td style="border-bottom:1px solid black; width:256px; padding:0cm 7px 0cm 7px; height:24px; border-top:none; border-right:1px solid black; border-left:none" valign="middle"><p align="center" style="margin-top:16px; margin-bottom:16px; text-align:center">&nbsp;</p></td></tr><tr><td style="border-left:1px solid black; border-right:1px solid black;border-bottom:1px solid black; width:218px; padding:0cm 7px 0cm 7px; height:24px;" valign="middle"><p><span style="font-size:12px;">Stringer</span></p></td><td style="border-bottom:1px solid black; width:39px; padding:0cm 7px 0cm 7px; height:24px; border-top:none; border-right:1px solid black; border-left:none" valign="middle"><p align="center" style="margin-top:16px; margin-bottom:16px; text-align:center"><span style="font-size:12px;"><b>x</b></span></p></td><td style="border-bottom:1px solid black; width:47px; padding:0cm 7px 0cm 7px; height:24px; border-top:none; border-right:1px solid black; border-left:none" valign="middle"><p align="center" style="margin-top:16px; margin-bottom:16px; text-align:center">&nbsp;</p></td><td style="border-bottom:1px solid black; width:47px; padding:0cm 7px 0cm 7px; height:24px; border-top:none; border-right:1px solid black; border-left:none" valign="middle"><p align="center" style="margin-top:16px; margin-bottom:16px; text-align:center">&nbsp;</p></td><td style="border-bottom:1px solid black; width:47px; padding:0cm 7px 0cm 7px; height:24px; border-top:none; border-right:1px solid black; border-left:none" valign="middle"><p align="center" style="margin-top:16px; margin-bottom:16px; text-align:center">&nbsp;</p></td><td style="border-bottom:1px solid black; width:248px; padding:0cm 7px 0cm 7px; height:24px; border-top:none; border-right:1px solid black; border-left:none" valign="middle"><p align="center" style="margin-top:16px; margin-bottom:16px; text-align:center">&nbsp;</p></td><td style="border-bottom:1px solid black; width:256px; padding:0cm 7px 0cm 7px; height:24px; border-top:none; border-right:1px solid black; border-left:none" valign="middle"><p align="center" style="margin-top:16px; margin-bottom:16px; text-align:center">&nbsp;</p></td></tr><tr><td style="border-left:1px solid black; border-right:1px solid black;border-bottom:1px solid black; width:218px; padding:0cm 7px 0cm 7px; height:24px;" valign="middle"><p><span style="font-size:12px;">Treads</span></p></td><td style="border-bottom:1px solid black; width:39px; padding:0cm 7px 0cm 7px; height:24px; border-top:none; border-right:1px solid black; border-left:none" valign="middle"><p align="center" style="margin-top:16px; margin-bottom:16px; text-align:center"><span style="font-size:12px;"><b>x</b></span></p></td><td style="border-bottom:1px solid black; width:47px; padding:0cm 7px 0cm 7px; height:24px; border-top:none; border-right:1px solid black; border-left:none" valign="middle"><p align="center" style="margin-top:16px; margin-bottom:16px; text-align:center">&nbsp;</p></td><td style="border-bottom:1px solid black; width:47px; padding:0cm 7px 0cm 7px; height:24px; border-top:none; border-right:1px solid black; border-left:none" valign="middle"><p align="center" style="margin-top:16px; margin-bottom:16px; text-align:center">&nbsp;</p></td><td style="border-bottom:1px solid black; width:47px; padding:0cm 7px 0cm 7px; height:24px; border-top:none; border-right:1px solid black; border-left:none" valign="middle"><p align="center" style="margin-top:16px; margin-bottom:16px; text-align:center">&nbsp;</p></td><td style="border-bottom:1px solid black; width:248px; padding:0cm 7px 0cm 7px; height:24px; border-top:none; border-right:1px solid black; border-left:none" valign="middle"><p>&nbsp;</p></td><td style="border-bottom:1px solid black; width:256px; padding:0cm 7px 0cm 7px; height:24px; border-top:none; border-right:1px solid black; border-left:none" valign="middle"><p align="center" style="margin-top:16px; margin-bottom:16px; text-align:center">&nbsp;</p></td></tr><tr><td style="border-left:1px solid black; border-right:1px solid black;border-bottom:1px solid black; width:218px; padding:0cm 7px 0cm 7px; height:24px;" valign="middle"><p><span style="font-size:12px;">Risers</span></p></td><td style="border-bottom:1px solid black; width:39px; padding:0cm 7px 0cm 7px; height:24px; border-top:none; border-right:1px solid black; border-left:none" valign="middle"><p align="center" style="margin-top:16px; margin-bottom:16px; text-align:center"><span style="font-size:12px;"><b>x</b></span></p></td><td style="border-bottom:1px solid black; width:47px; padding:0cm 7px 0cm 7px; height:24px; border-top:none; border-right:1px solid black; border-left:none" valign="middle"><p align="center" style="margin-top:16px; margin-bottom:16px; text-align:center">&nbsp;</p></td><td style="border-bottom:1px solid black; width:47px; padding:0cm 7px 0cm 7px; height:24px; border-top:none; border-right:1px solid black; border-left:none" valign="middle"><p align="center" style="margin-top:16px; margin-bottom:16px; text-align:center">&nbsp;</p></td><td style="border-bottom:1px solid black; width:47px; padding:0cm 7px 0cm 7px; height:24px; border-top:none; border-right:1px solid black; border-left:none" valign="middle"><p align="center" style="margin-top:16px; margin-bottom:16px; text-align:center">&nbsp;</p></td><td style="border-bottom:1px solid black; width:248px; padding:0cm 7px 0cm 7px; height:24px; border-top:none; border-right:1px solid black; border-left:none" valign="middle"><p align="center" style="margin-top:16px; margin-bottom:16px; text-align:center">&nbsp;</p></td><td style="border-bottom:1px solid black; width:256px; padding:0cm 7px 0cm 7px; height:24px; border-top:none; border-right:1px solid black; border-left:none" valign="middle"><p align="center" style="margin-top:16px; margin-bottom:16px; text-align:center">&nbsp;</p></td></tr><tr><td style="border-left:1px solid black; border-right:1px solid black;border-bottom:1px solid black; width:218px; padding:0cm 7px 0cm 7px; height:24px;" valign="middle"><p><span style="font-size:12px;">Riser / Rung Spacing</span></p></td><td style="border-bottom:1px solid black; width:39px; padding:0cm 7px 0cm 7px; height:24px; border-top:none; border-right:1px solid black; border-left:none" valign="middle"><p align="center" style="margin-top:16px; margin-bottom:16px; text-align:center"><span style="font-size:12px;"><b>x</b></span></p></td><td style="border-bottom:1px solid black; width:47px; padding:0cm 7px 0cm 7px; height:24px; border-top:none; border-right:1px solid black; border-left:none" valign="middle"><p align="center" style="margin-top:16px; margin-bottom:16px; text-align:center">&nbsp;</p></td><td style="border-bottom:1px solid black; width:47px; padding:0cm 7px 0cm 7px; height:24px; border-top:none; border-right:1px solid black; border-left:none" valign="middle"><p align="center" style="margin-top:16px; margin-bottom:16px; text-align:center">&nbsp;</p></td><td style="border-bottom:1px solid black; width:47px; padding:0cm 7px 0cm 7px; height:24px; border-top:none; border-right:1px solid black; border-left:none" valign="middle"><p align="center" style="margin-top:16px; margin-bottom:16px; text-align:center">&nbsp;</p></td><td style="border-bottom:1px solid black; width:248px; padding:0cm 7px 0cm 7px; height:24px; border-top:none; border-right:1px solid black; border-left:none" valign="middle"><p align="center" style="margin-top:16px; margin-bottom:16px; text-align:center">&nbsp;</p></td><td style="border-bottom:1px solid black; width:256px; padding:0cm 7px 0cm 7px; height:24px; border-top:none; border-right:1px solid black; border-left:none" valign="middle"><p align="center" style="margin-top:16px; margin-bottom:16px; text-align:center">&nbsp;</p></td></tr><tr><td style="border-left:1px solid black; border-right:1px solid black;border-bottom:1px solid black; width:218px; padding:0cm 7px 0cm 7px; height:24px;" valign="middle"><p><span style="font-size:12px;">Platform / Landings</span></p></td><td style="border-bottom:1px solid black; width:39px; padding:0cm 7px 0cm 7px; height:24px; border-top:none; border-right:1px solid black; border-left:none" valign="middle"><p align="center" style="margin-top:16px; margin-bottom:16px; text-align:center"><span style="font-size:12px;"><b>x</b></span></p></td><td style="border-bottom:1px solid black; width:47px; padding:0cm 7px 0cm 7px; height:24px; border-top:none; border-right:1px solid black; border-left:none" valign="middle"><p align="center" style="margin-top:16px; margin-bottom:16px; text-align:center">&nbsp;</p></td><td style="border-bottom:1px solid black; width:47px; padding:0cm 7px 0cm 7px; height:24px; border-top:none; border-right:1px solid black; border-left:none" valign="middle"><p align="center" style="margin-top:16px; margin-bottom:16px; text-align:center">&nbsp;</p></td><td style="border-bottom:1px solid black; width:47px; padding:0cm 7px 0cm 7px; height:24px; border-top:none; border-right:1px solid black; border-left:none" valign="middle"><p align="center" style="margin-top:16px; margin-bottom:16px; text-align:center">&nbsp;</p></td><td style="border-bottom:1px solid black; width:248px; padding:0cm 7px 0cm 7px; height:24px; border-top:none; border-right:1px solid black; border-left:none" valign="middle"><p>&nbsp;</p></td><td style="border-bottom:1px solid black; width:256px; padding:0cm 7px 0cm 7px; height:24px; border-top:none; border-right:1px solid black; border-left:none" valign="middle"><p>&nbsp;</p></td></tr><tr><td style="border-left:1px solid black; border-right:1px solid black;border-bottom:1px solid black; width:218px; padding:0cm 7px 0cm 7px; height:24px;" valign="middle"><p><span style="font-size:12px;">Hand railings</span></p></td><td style="border-bottom:1px solid black; width:39px; padding:0cm 7px 0cm 7px; height:24px; border-top:none; border-right:1px solid black; border-left:none" valign="middle"><p align="center" style="margin-top:16px; margin-bottom:16px; text-align:center"><span style="font-size:12px;"><b>x</b></span></p></td><td style="border-bottom:1px solid black; width:47px; padding:0cm 7px 0cm 7px; height:24px; border-top:none; border-right:1px solid black; border-left:none" valign="middle"><p align="center" style="margin-top:16px; margin-bottom:16px; text-align:center">&nbsp;</p></td><td style="border-bottom:1px solid black; width:47px; padding:0cm 7px 0cm 7px; height:24px; border-top:none; border-right:1px solid black; border-left:none" valign="middle"><p align="center" style="margin-top:16px; margin-bottom:16px; text-align:center">&nbsp;</p></td><td style="border-bottom:1px solid black; width:47px; padding:0cm 7px 0cm 7px; height:24px; border-top:none; border-right:1px solid black; border-left:none" valign="middle"><p align="center" style="margin-top:16px; margin-bottom:16px; text-align:center">&nbsp;</p></td><td style="border-bottom:1px solid black; width:248px; padding:0cm 7px 0cm 7px; height:24px; border-top:none; border-right:1px solid black; border-left:none" valign="middle"><p>&nbsp;</p></td><td style="border-bottom:1px solid black; width:256px; padding:0cm 7px 0cm 7px; height:24px; border-top:none; border-right:1px solid black; border-left:none" valign="middle"><p align="center" style="margin-top:16px; text-align:center">&nbsp;</p></td></tr><tr><td style="border-left:1px solid black; border-right:1px solid black;border-bottom:1px solid black; width:218px; padding:0cm 7px 0cm 7px; height:24px;" valign="middle"><p><span style="font-size:12px;">Handrail height above platform</span></p></td><td style="border-bottom:1px solid black; width:39px; padding:0cm 7px 0cm 7px; height:24px; border-top:none; border-right:1px solid black; border-left:none" valign="middle"><p align="center" style="margin-top:16px; margin-bottom:16px; text-align:center"><span style="font-size:12px;"><b>x</b></span></p></td><td style="border-bottom:1px solid black; width:47px; padding:0cm 7px 0cm 7px; height:24px; border-top:none; border-right:1px solid black; border-left:none" valign="middle"><p align="center" style="margin-top:16px; margin-bottom:16px; text-align:center">&nbsp;</p></td><td style="border-bottom:1px solid black; width:47px; padding:0cm 7px 0cm 7px; height:24px; border-top:none; border-right:1px solid black; border-left:none" valign="middle"><p align="center" style="margin-top:16px; margin-bottom:16px; text-align:center">&nbsp;</p></td><td style="border-bottom:1px solid black; width:47px; padding:0cm 7px 0cm 7px; height:24px; border-top:none; border-right:1px solid black; border-left:none" valign="middle"><p align="center" style="margin-top:16px; margin-bottom:16px; text-align:center">&nbsp;</p></td><td style="border-bottom:1px solid black; width:248px; padding:0cm 7px 0cm 7px; height:24px; border-top:none; border-right:1px solid black; border-left:none" valign="middle"><p align="center" style="margin-top:16px; margin-bottom:16px; text-align:center">&nbsp;</p></td><td style="border-bottom:1px solid black; width:256px; padding:0cm 7px 0cm 7px; height:24px; border-top:none; border-right:1px solid black; border-left:none" valign="middle"><p align="center" style="margin-top:16px; margin-bottom:16px; text-align:center">&nbsp;</p></td></tr><tr><td style="border-left:1px solid black; border-right:1px solid black;border-bottom:1px solid black; width:218px; padding:0cm 7px 0cm 7px; height:24px;" valign="middle"><p><span style="font-size:12px;">Footings / Foundations</span></p></td><td style="border-bottom:1px solid black; width:39px; padding:0cm 7px 0cm 7px; height:24px; border-top:none; border-right:1px solid black; border-left:none" valign="middle"><p align="center" style="margin-top:16px; margin-bottom:16px; text-align:center"><span style="font-size:12px;"><b>x</b></span></p></td><td style="border-bottom:1px solid black; width:47px; padding:0cm 7px 0cm 7px; height:24px; border-top:none; border-right:1px solid black; border-left:none" valign="middle"><p align="center" style="margin-top:16px; margin-bottom:16px; text-align:center">&nbsp;</p></td><td style="border-bottom:1px solid black; width:47px; padding:0cm 7px 0cm 7px; height:24px; border-top:none; border-right:1px solid black; border-left:none" valign="middle"><p align="center" style="margin-top:16px; margin-bottom:16px; text-align:center">&nbsp;</p></td><td style="border-bottom:1px solid black; width:47px; padding:0cm 7px 0cm 7px; height:24px; border-top:none; border-right:1px solid black; border-left:none" valign="middle"><p align="center" style="margin-top:16px; margin-bottom:16px; text-align:center">&nbsp;</p></td><td style="border-bottom:1px solid black; width:248px; padding:0cm 7px 0cm 7px; height:24px; border-top:none; border-right:1px solid black; border-left:none" valign="middle"><p align="center" style="margin-top:16px; margin-bottom:16px; text-align:center">&nbsp;</p></td><td style="border-bottom:1px solid black; width:256px; padding:0cm 7px 0cm 7px; height:24px; border-top:none; border-right:1px solid black; border-left:none" valign="middle"><p align="center" style="margin-top:16px; margin-bottom:16px; text-align:center">&nbsp;</p></td></tr><tr><td style="border-left:1px solid black; border-right:1px solid black;border-bottom:1px solid black; width:218px; padding:0cm 7px 0cm 7px; height:24px;" valign="middle"><p><span style="font-size:12px;">Fixings</span></p></td><td style="border-bottom:1px solid black; width:39px; padding:0cm 7px 0cm 7px; height:24px; border-top:none; border-right:1px solid black; border-left:none" valign="middle"><p align="center" style="margin-top:16px; margin-bottom:16px; text-align:center"><span style="font-size:12px;"><b>x</b></span></p></td><td style="border-bottom:1px solid black; width:47px; padding:0cm 7px 0cm 7px; height:24px; border-top:none; border-right:1px solid black; border-left:none" valign="middle"><p align="center" style="margin-top:16px; margin-bottom:16px; text-align:center">&nbsp;</p></td><td style="border-bottom:1px solid black; width:47px; padding:0cm 7px 0cm 7px; height:24px; border-top:none; border-right:1px solid black; border-left:none" valign="middle"><p align="center" style="margin-top:16px; margin-bottom:16px; text-align:center">&nbsp;</p></td><td style="border-bottom:1px solid black; width:47px; padding:0cm 7px 0cm 7px; height:24px; border-top:none; border-right:1px solid black; border-left:none" valign="middle"><p align="center" style="margin-top:16px; margin-bottom:16px; text-align:center">&nbsp;</p></td><td style="border-bottom:1px solid black; width:248px; padding:0cm 7px 0cm 7px; height:24px; border-top:none; border-right:1px solid black; border-left:none" valign="middle"><p>&nbsp;</p></td><td style="border-bottom:1px solid black; width:256px; padding:0cm 7px 0cm 7px; height:24px; border-top:none; border-right:1px solid black; border-left:none" valign="middle"><p>&nbsp;</p></td></tr><tr><td style="border-left:1px solid black; border-right:1px solid black;border-bottom:1px solid black; width:218px; padding:0cm 7px 0cm 7px; height:24px;" valign="middle"><p><span style="font-size:12px;">Material</span></p></td><td style="border-bottom:1px solid black; width:39px; padding:0cm 7px 0cm 7px; height:24px; border-top:none; border-right:1px solid black; border-left:none" valign="middle"><p align="center" style="margin-top:16px; margin-bottom:16px; text-align:center"><span style="font-size:12px;"><b>x</b></span></p></td><td style="border-bottom:1px solid black; width:47px; padding:0cm 7px 0cm 7px; height:24px; border-top:none; border-right:1px solid black; border-left:none" valign="middle"><p align="center" style="margin-top:16px; margin-bottom:16px; text-align:center">&nbsp;</p></td><td style="border-bottom:1px solid black; width:47px; padding:0cm 7px 0cm 7px; height:24px; border-top:none; border-right:1px solid black; border-left:none" valign="middle"><p align="center" style="margin-top:16px; margin-bottom:16px; text-align:center">&nbsp;</p></td><td style="border-bottom:1px solid black; width:47px; padding:0cm 7px 0cm 7px; height:24px; border-top:none; border-right:1px solid black; border-left:none" valign="middle"><p align="center" style="margin-top:16px; margin-bottom:16px; text-align:center">&nbsp;</p></td><td style="border-bottom:1px solid black; width:248px; padding:0cm 7px 0cm 7px; height:24px; border-top:none; border-right:1px solid black; border-left:none" valign="middle"><p>&nbsp;</p></td><td style="border-bottom:1px solid black; width:256px; padding:0cm 7px 0cm 7px; height:24px; border-top:none; border-right:1px solid black; border-left:none" valign="middle"><p align="center" style="margin-top:16px; margin-bottom:16px; text-align:center">&nbsp;</p></td></tr><tr><td style="border-left:1px solid black; border-right:1px solid black;border-bottom:1px solid black; width:218px; padding:0cm 7px 0cm 7px; height:24px;" valign="middle"><p><span style="font-size:12px;">Access &amp; Egress</span></p></td><td style="border-bottom:1px solid black; width:39px; padding:0cm 7px 0cm 7px; height:24px; border-top:none; border-right:1px solid black; border-left:none" valign="middle"><p align="center" style="margin-top:16px; margin-bottom:16px; text-align:center"><span style="font-size:12px;"><b>x</b></span></p></td><td style="border-bottom:1px solid black; width:47px; padding:0cm 7px 0cm 7px; height:24px; border-top:none; border-right:1px solid black; border-left:none" valign="middle"><p align="center" style="margin-top:16px; margin-bottom:16px; text-align:center">&nbsp;</p></td><td style="border-bottom:1px solid black; width:47px; padding:0cm 7px 0cm 7px; height:24px; border-top:none; border-right:1px solid black; border-left:none" valign="middle"><p align="center" style="margin-top:16px; margin-bottom:16px; text-align:center">&nbsp;</p></td><td style="border-bottom:1px solid black; width:47px; padding:0cm 7px 0cm 7px; height:24px; border-top:none; border-right:1px solid black; border-left:none" valign="middle"><p align="center" style="margin-top:16px; margin-bottom:16px; text-align:center">&nbsp;</p></td><td style="border-bottom:1px solid black; width:248px; padding:0cm 7px 0cm 7px; height:24px; border-top:none; border-right:1px solid black; border-left:none" valign="middle"><p>&nbsp;</p></td><td style="border-bottom:1px solid black; width:256px; padding:0cm 7px 0cm 7px; height:24px; border-top:none; border-right:1px solid black; border-left:none" valign="middle"><p align="center" style="margin-top:16px; margin-bottom:16px; text-align:center">&nbsp;</p></td></tr><tr><td style="border-left:1px solid black; border-right:1px solid black;border-bottom:1px solid black; width:218px; padding:0cm 7px 0cm 7px; height:24px;" valign="middle"><p><span style="font-size:12px;">Proximity of Opening Windows &amp; Fire-Resistant Glazing</span></p></td><td style="border-bottom:1px solid black; width:39px; padding:0cm 7px 0cm 7px; height:24px; border-top:none; border-right:1px solid black; border-left:none" valign="middle"><p align="center" style="margin-top:16px; margin-bottom:16px; text-align:center">&nbsp;</p></td><td style="border-bottom:1px solid black; width:47px; padding:0cm 7px 0cm 7px; height:24px; border-top:none; border-right:1px solid black; border-left:none" valign="middle"><p align="center" style="margin-top:16px; margin-bottom:16px; text-align:center"><span style="font-size:12px;"><b>x</b></span></p></td><td style="border-bottom:1px solid black; width:47px; padding:0cm 7px 0cm 7px; height:24px; border-top:none; border-right:1px solid black; border-left:none" valign="middle"><p align="center" style="margin-top:16px; margin-bottom:16px; text-align:center">&nbsp;</p></td><td style="border-bottom:1px solid black; width:47px; padding:0cm 7px 0cm 7px; height:24px; border-top:none; border-right:1px solid black; border-left:none" valign="middle"><p align="center" style="margin-top:16px; margin-bottom:16px; text-align:center">&nbsp;</p></td><td style="border-bottom:1px solid black; width:248px; padding:0cm 7px 0cm 7px; height:24px; border-top:none; border-right:1px solid black; border-left:none" valign="middle"><p><span style="font-size:12px;">Fire Exit Signage missing from outside of door. Fig. 1.</span></p></td><td style="border-bottom:1px solid black; width:256px; padding:0cm 7px 0cm 7px; height:24px; border-top:none; border-right:1px solid black; border-left:none" valign="middle"><p><span style="font-size:12px;">This should receive attention.</span></p></td></tr><tr><td style="border-left:1px solid black; border-right:1px solid black;border-bottom:1px solid black; width:218px; padding:0cm 7px 0cm 7px; height:24px;" valign="middle"><p><span style="font-size:12px;">Escape Route Fire Doors</span></p></td><td style="border-bottom:1px solid black; width:39px; padding:0cm 7px 0cm 7px; height:24px; border-top:none; border-right:1px solid black; border-left:none" valign="middle"><p align="center" style="margin-top:16px; margin-bottom:16px; text-align:center">&nbsp;</p></td><td style="border-bottom:1px solid black; width:47px; padding:0cm 7px 0cm 7px; height:24px; border-top:none; border-right:1px solid black; border-left:none" valign="middle"><p align="center" style="margin-top:16px; margin-bottom:16px; text-align:center"><span style="font-size:12px;"><b><span style="color:white">x</span></b><b> x</b></span></p></td><td style="border-bottom:1px solid black; width:47px; padding:0cm 7px 0cm 7px; height:24px; border-top:none; border-right:1px solid black; border-left:none" valign="middle"><p align="center" style="margin-top:16px; margin-bottom:16px; text-align:center">&nbsp;</p></td><td style="border-bottom:1px solid black; width:47px; padding:0cm 7px 0cm 7px; height:24px; border-top:none; border-right:1px solid black; border-left:none" valign="middle"><p align="center" style="margin-top:16px; margin-bottom:16px; text-align:center">&nbsp;</p></td><td style="border-bottom:1px solid black; width:248px; padding:0cm 7px 0cm 7px; height:24px; border-top:none; border-right:1px solid black; border-left:none" valign="middle"><p><span style="font-size:12px;">Internal side of door trim/Sealing bead damaged and insecure. Fig. 3 &amp; Fig. 4</span></p></td><td style="border-bottom:1px solid black; width:256px; padding:0cm 7px 0cm 7px; height:24px; border-top:none; border-right:1px solid black; border-left:none" valign="middle"><p align="center" style="margin-top:16px; margin-bottom:16px; text-align:center"><span style="font-size:12px;">This should receive attention.</span></p></td></tr><tr><td style="border-left:1px solid black; border-right:1px solid black;border-bottom:1px solid black; width:218px; padding:0cm 7px 0cm 7px; height:24px;" valign="middle"><p><span style="font-size:12px;">Stairway Lighting &amp; Emergency Lighting</span></p></td><td style="border-bottom:1px solid black; width:39px; padding:0cm 7px 0cm 7px; height:24px; border-top:none; border-right:1px solid black; border-left:none" valign="middle"><p align="center" style="margin-top:16px; margin-bottom:16px; text-align:center"><span style="font-size:12px;"><b>x</b></span></p></td><td style="border-bottom:1px solid black; width:47px; padding:0cm 7px 0cm 7px; height:24px; border-top:none; border-right:1px solid black; border-left:none" valign="middle"><p align="center" style="margin-top:16px; margin-bottom:16px; text-align:center">&nbsp;</p></td><td style="border-bottom:1px solid black; width:47px; padding:0cm 7px 0cm 7px; height:24px; border-top:none; border-right:1px solid black; border-left:none" valign="middle"><p align="center" style="margin-top:16px; margin-bottom:16px; text-align:center">&nbsp;</p></td><td style="border-bottom:1px solid black; width:47px; padding:0cm 7px 0cm 7px; height:24px; border-top:none; border-right:1px solid black; border-left:none" valign="middle"><p align="center" style="margin-top:16px; margin-bottom:16px; text-align:center">&nbsp;</p></td><td style="border-bottom:1px solid black; width:248px; padding:0cm 7px 0cm 7px; height:24px; border-top:none; border-right:1px solid black; border-left:none" valign="middle"><p>&nbsp;</p></td><td style="border-bottom:1px solid black; width:256px; padding:0cm 7px 0cm 7px; height:24px; border-top:none; border-right:1px solid black; border-left:none" valign="middle"><p align="center" style="margin-top:16px; margin-bottom:16px; text-align:center">&nbsp;</p></td></tr><tr><td style="border-left:1px solid black; border-right:1px solid black;border-bottom:1px solid black; width:218px; padding:0cm 7px 0cm 7px; height:24px;" valign="middle"><p><span style="font-size:12px;">Proximity of Flammable Materials</span></p></td><td style="border-bottom:1px solid black; width:39px; padding:0cm 7px 0cm 7px; height:24px; border-top:none; border-right:1px solid black; border-left:none" valign="middle"><p align="center" style="margin-top:16px; margin-bottom:16px; text-align:center"><span style="font-size:12px;"><b>na</b></span></p></td><td style="border-bottom:1px solid black; width:47px; padding:0cm 7px 0cm 7px; height:24px; border-top:none; border-right:1px solid black; border-left:none" valign="middle"><p align="center" style="margin-top:16px; margin-bottom:16px; text-align:center">&nbsp;</p></td><td style="border-bottom:1px solid black; width:47px; padding:0cm 7px 0cm 7px; height:24px; border-top:none; border-right:1px solid black; border-left:none" valign="middle"><p align="center" style="margin-top:16px; margin-bottom:16px; text-align:center">&nbsp;</p></td><td style="border-bottom:1px solid black; width:47px; padding:0cm 7px 0cm 7px; height:24px; border-top:none; border-right:1px solid black; border-left:none" valign="middle"><p align="center" style="margin-top:16px; margin-bottom:16px; text-align:center">&nbsp;</p></td><td style="border-bottom:1px solid black; width:248px; padding:0cm 7px 0cm 7px; height:24px; border-top:none; border-right:1px solid black; border-left:none" valign="middle"><p>&nbsp;</p></td><td style="border-bottom:1px solid black; width:256px; padding:0cm 7px 0cm 7px; height:24px; border-top:none; border-right:1px solid black; border-left:none" valign="middle"><p>&nbsp;</p></td></tr><tr><td colspan="7" style="border-left:1px solid black;border-right:1px solid black;border-bottom:1px solid black; width:903px; padding:0cm 7px 0cm 7px; height:24px;" valign="middle"><p><span style="font-size:12px;"><strong>General Summary &ndash; Comments</strong></span></p><p><span style="font-size:12px;">Stairs/steps generally in good condition, with some attention required moving forward to ensure compliance, although there are only 3 steps this is a designated fire escape Fig. 3.</span></p><p>&nbsp;</p></td></tr></tbody></table><p>&nbsp;</p>',
    },
  ],
});
